Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.db.hibernate
Class ConverterEnumType

    java.lang.Object
      org.jbpm.db.hibernate.ConverterEnumType

All Implemented Interfaces:
  org.hibernate.usertype.UserType

    public class ConverterEnumType

extends java.lang.Object
implements org.hibernate.usertype.UserType

is the hibernate UserType for storing converters as a char in the database. The conversion can be found (and customized) in the file jbpm.converter.properties.

Constructor Summary
`ConverterEnumType()`

Method Summary
`java.lang.Object` | `assemble(java.io.Serializable s, java.lang.Object o)`
`java.lang.Object` | `deepCopy(java.lang.Object o)`
`java.io.Serializable` | `disassemble(java.lang.Object o)`
`boolean` | `equals(java.lang.Object o1, java.lang.Object o2)`
`int` | `hashCode(java.lang.Object o)`
`boolean` | `isMutable()`
`java.lang.Object` | `nullSafeGet(java.sql.ResultSet resultSet, java.lang.String[] names, java.lang.Object owner)`
`void` | `nullSafeSet(java.sql.PreparedStatement preparedStatement, java.lang.Object value, int index)`
`java.lang.Object` | `replace(java.lang.Object original, java.lang.Object target, java.lang.Object owner)`
`java.lang.Class` | `returnedClass()`
`int[]` | `sqlTypes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConverterEnumType

    public ConverterEnumType()

Method Detail

### equals

    public boolean equals(java.lang.Object o1,
                          java.lang.Object o2)

  Specified by:
    `equals` in interface `org.hibernate.usertype.UserType`

### hashCode

    public int hashCode(java.lang.Object o)
                 throws org.hibernate.HibernateException

  Specified by:
    `hashCode` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### deepCopy

    public java.lang.Object deepCopy(java.lang.Object o)
                              throws org.hibernate.HibernateException

  Specified by:
    `deepCopy` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### isMutable

    public boolean isMutable()

  Specified by:
    `isMutable` in interface `org.hibernate.usertype.UserType`

### disassemble

    public java.io.Serializable disassemble(java.lang.Object o)
                                     throws org.hibernate.HibernateException

  Specified by:
    `disassemble` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### assemble

    public java.lang.Object assemble(java.io.Serializable s,
                                     java.lang.Object o)
                              throws org.hibernate.HibernateException

  Specified by:
    `assemble` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### replace

    public java.lang.Object replace(java.lang.Object original,
                                    java.lang.Object target,
                                    java.lang.Object owner)

  Specified by:
    `replace` in interface `org.hibernate.usertype.UserType`

### sqlTypes

    public int[] sqlTypes()

  Specified by:
    `sqlTypes` in interface `org.hibernate.usertype.UserType`

### returnedClass

    public java.lang.Class returnedClass()

  Specified by:
    `returnedClass` in interface `org.hibernate.usertype.UserType`

### nullSafeGet

    public java.lang.Object nullSafeGet(java.sql.ResultSet resultSet,
                                        java.lang.String[] names,
                                        java.lang.Object owner)
                                 throws org.hibernate.HibernateException,
                                        java.sql.SQLException

  Specified by:
    `nullSafeGet` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`
    `java.sql.SQLException`

### nullSafeSet

    public void nullSafeSet(java.sql.PreparedStatement preparedStatement,
                            java.lang.Object value,
                            int index)
                     throws org.hibernate.HibernateException,
                            java.sql.SQLException

  Specified by:
    `nullSafeSet` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD